Skip to main content
`Ctrl`+`K`

# PEPJDGetProjection

Returns the type of projection used by the Jacobi-Davidson solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPJDGetProjection(PEP pep,PEPJDProjection *proj)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- proj - the type of projection

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPJD`, `PEPJDSetProjection()`

## Level

advanced

## Location

src/pep/impls/jd/pjd.c

## Implementations

PEPJDGetProjection_JD() in src/pep/impls/jd/pjd.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages